<?php
/*******************************
 ARA WEB Template
 固定ページ お問い合わせ var 0.1
 Template Name: contact-index
*******************************/
get_header(); ?>

<div id="contents">

<div id="main">
<div id="page-sp">
<?php /* The loop */ ?>
<?php while ( have_posts() ) : the_post(); ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<h2><?php the_title(); ?></h2>

	<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
	<div class="entry-thumbnail">
		<?php the_post_thumbnail(); ?>
	</div>
	<?php endif; ?>
	
	<p><?php the_content(); ?></p>

	<div class="entry-meta">
	<?php edit_post_link(); ?>
	</div><!-- .entry-meta -->
</article>
<?php endwhile; ?>



<?php 
/*　↑↑↑↑↑↑↑↑↑↑　ここから上部は page.php のヘッダーのコピペ　↑↑↑↑↑↑↑↑↑↑　 */

// エラーメッセージと不正アクセスフラグ
$error_mes = "";
$noindexaccess = true;

// メアドに表示する名前
define('WEBMST_NAME', 'サイト名');
// お問い合わせ用メアド
define('WEBMST_MAIL', 'xxxxx@xxx.xx');
// 送信先メールアドレス
$mailto = WEBMST_MAIL;

#--------------------------------------------------------------
# 全体のコントロール
#--------------------------------------------------------------
switch($_POST["action"]):

case "completion":
/////////////////////////////////////////////////////////////////////////////
//　メール送信処理と完了画面を表示
	
	include('contact-check.php');

	if(!$error_mes){
		include('contact-sendmail.php');
		include('contact-completion.php');
	}
	else{
		die("<p>エラーが発生しました。<br />もう一度送信しなおしてください。</p>");
	}
	break;
case "confirm":
/////////////////////////////////////////////////////////////////////////////
// エラーがあれば再入力、なければ確認画面表示
	
	include('contact-check.php');

	if($error_mes):
		include('contact-input.php');
	else:
		include('contact-confirm.php');
	endif;

	break;
default:
/////////////////////////////////////////////////////////////////////////////
// 新規入力画面を表示

	include('contact-input.php');

endswitch;

/*　↓↓↓↓↓↓↓↓↓↓　ここから下部は page.php のフッターのコピペ　↓↓↓↓↓↓↓↓↓↓　 */
?>

</div><!-- #page-sp -->
</div><!-- main -->

</div><!-- contents -->
<?php get_footer(); ?>
